lib_LTLIBRARIES = libgen_playlist.la
libgen_playlist_la_SOURCES = clap_play.cc ../header/clap_play.h playlist.cc ../header/playlist.h ../header/track.h track.cc ../header/M3U.h M3U.cc album.cc ../header/album.h genre.cc ../header/genre.h subgenre.cc ../header/subgenre.h polyphony.cc ../header/polyphony.h format.cc ../header/format.h artist.cc ../header/artist.h ../header/file_configuration.h file_configuration.cc ../header/log.h log.cc
libgen_playlist_la_CPPFLAGS = -Werror -Wall -Wextra
libgen_playlist_la_CXXFLAGS = -fPIC $(LIBPQ_CFLAGS) $(GFLAGS_CFLAGS) $(XSPF_CFLAGS) $(LOG4CXX_CFLAGS) $(JSONCPP_CFLAGS)
libgen_playlist_la_LDFLAGS =  $(LIBPQ_LIBS) $(GFLAGS_LIBS) $(XSPF_LIBS) $(LOG4CXX_LIBS) $(JSONCPP_LIBS)

bin_PROGRAMS = clap_play
clap_play_SOURCES = main.cc
clap_play_CXXFLAGS = $(LIBPQ_CFLAGS) $(XSPF_CFLAGS) $(LOG4CXX_CFLAGS) $(JSONCPP_CFLAGS)
clap_play_LDADD = libgen_playlist.la
clap_play_LDFLAGS = $(GFLAGS_LIBS) $(LIBPQ_LIBS) $(XSPF_LIBS) $(LOG4CXX_LIBS) $(JSONCPP_LIBS)
